@import url("https://fonts.googleapis.com/css?family=Roboto:100,300,400&subset=vietnamese");

body {
  margin: 0;
  padding: 0;
  font-family: "Roboto", sans-serif;
  background-color: #f8f8f8;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  /* min-height: 100vh; */
  color: rgba(0, 0, 0, 0.653);
  /* background-image: linear-gradient(120deg, #fccb90 0%, #d57eeb 100%); */
  text-shadow: 0 0.2px 0.3px rgba(0, 0, 0, 0.353);
  background-size: auto;
  background-image: url(bg/1.jpg);
  background-repeat: no-repeat;
  background-position: center;
  -webkit-transition: 3s;
  overflow: hidden;
  height: 100vh;
  min-height: 720px;
  max-height: 1024px;
}

img {
  max-width: 100%;
}

.box {
  background-color: white;
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
  padding: 1rem;
  width: 60%;
  height: inherit;
  border-radius: 26px;
  opacity: 0.8;
}

.about {
  display: flex;
  align-items: center;
  padding: 0 1rem;
  margin-bottom: 3rem;
  margin-top: 10px;
  position: relative;
}

.info:first-child {
  flex-grow: 1;
}

.info {
  display: flex;
  align-items: center;
}

.info:last-child .avatar {
  order: 2;
}

.info:last-child .details {
  text-align: right;
}

.avatar {
  width: 70px;
  border-radius: 50%;
}

.info .details {
  margin: 0 1rem;
}

.info .details p {
  margin: 4px;
}

.name {
  font-size: 15px;
  text-transform: uppercase;
}

.born {
  font-weight: 300;
}

.time {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.time h2,
.time p {
  margin: 0;
  margin-bottom: 0px;
}

.time h2 {
  font-size: 2.8rem;
}

.time p {
  font-size: 1.5rem;
}

.sup-time {
  font-weight: 300;
}

.say-thank {
  text-align: center;
  margin-top: 1rem;
  font-weight: 100;
  color: tomato;
  opacity: 0.8;
  margin-bottom: 0;
}

.title {
  opacity: 0.9;
}

.heart {
  position: absolute;
  top: calc(50% - 25px);
  left: calc(50% - 25px);
  width: 50px;
  transform-origin: 50% 50%;
  opacity: 0.8;
  animation: heartBeat 1s ease-in-out infinite;
}

@keyframes heartBeat {
  0% {
    transform: scale(0.9);
  }

  45% {
    transform: scale(1.1);
  }

  70% {
    transform: scale(0.9);
  }

  100% {
    transform: scale(0.9);
  }
}

@media (max-width: 997px) {
  .box {
    width: 84%;
    margin-bottom: 2rem;
  }

  .title {
    margin: 2rem 0 1rem 0;
    font-size: 18px;
  }

  .about {
    flex-direction: column;
    /* align-items: flex-start; */
    padding: 0;
  }

  .info {
    flex-direction: column;
  }

  .avatar {
    margin-bottom: 0.5rem;
  }

  .info p {
    text-align: center;
    margin: 10px 0 0 0;
    font-size: 13px;
  }

  .info:last-child .avatar {
    order: 0;
  }

  .heart {
    position: relative;
    margin: 1.4rem 0;
  }

  .say-thank {
    margin-top: 2rem;
  }
}

audio {
  max-width: 300px;
  max-height: 30px;
  vertical-align: middle;
}

#container {
  margin: 0 auto;
  width: 50%;
  height: inherit;
  max-height: 50%;
  -webkit-perspective: 1000;
  -webkit-perspective-origin: 50% 680px;
}

#stage {
  width: 100%;
  height: 100%;
  -webkit-transition: -webkit-transform 2s;
  -webkit-transform-style: preserve-3d;
}

#shape {
  position: relative;
  top: 260px;
  margin: 0 auto;
  height: 200px;
  width: 200px;
  -webkit-transform-style: preserve-3d;
}

.plane {
  position: absolute;
  height: 200px;
  width: 200px;
  border: 1px solid white;
  -webkit-border-radius: 12px;
  -webkit-box-sizing: border-box;
  text-align: center;
  font-family: Times, serif;
  font-size: 124pt;
  color: black;
  background-color: rgba(255, 255, 255, 0.6);
  -webkit-transition: -webkit-transform 2s, opacity 2s;
  -webkit-backface-visibility: hidden;
}

#shape.backfaces .plane {
  -webkit-backface-visibility: visible;
}

#shape {
  -webkit-animation: spin 8s infinite linear;
}

@-webkit-keyframes spin {
  from {
    -webkit-transform: rotateY(0);
  }

  to {
    -webkit-transform: rotateY(360deg);
  }
}

.one {
  background-image: url(../img/1.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.two {
  background-image: url(../img/2.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.three {
  background-image: url(../img/3.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.four {
  background-image: url(../img/4.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.five {
  background-image: url(../img/5.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.six {
  background-image: url(../img/6.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.seven {
  background-image: url(../img/7.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.eight {
  background-image: url(../img/8.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.nine {
  background-image: url(../img/9.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.ten {
  background-image: url(../img/10.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.eleven {
  background-image: url(../img/11.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.twelve {
  background-image: url(../img/12.jpg);
  background-size: 100% 100%;
  background-repeat: no-repeat;
}

.cube>.one {
  opacity: 0.2;
  -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateX(90deg) translateZ(100px);
}

.cube>.two {
  opacity: 0.2;
  -webkit-transform: scale3d(1.2, 1.2, 1.2) translateZ(100px);
}

.cube>.three {
  opacity: 0.2;
  -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(90deg) translateZ(100px);
}

.cube>.four {
  opacity: 0.2;
  -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(180deg) translateZ(100px);
}

.cube>.five {
  opacity: 0.2;
  -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateY(-90deg) translateZ(100px);
}

.cube>.six {
  opacity: 0.2;
  -webkit-transform: scale3d(1.2, 1.2, 1.2) rotateX(-90deg) translateZ(100px) rotate(180deg);
}

#shape:hover.cube>.one,
.autoLoad>.one {
  opacity: 0.9;
  -webkit-transform: scale3d(1.5, 1.5, 1.5) rotateX(90deg) translateZ(130px);
}

#shape:hover.cube>.two,
.autoLoad>.two {
  opacity: 0.9;
  -webkit-transform: scale3d(1.5, 1.5, 1.5) translateZ(150px);
}

#shape:hover.cube>.three,
.autoLoad>.three {
  opacity: 0.9;
  -webkit-transform: scale3d(1.5, 1.5, 1.5) rotateY(90deg) translateZ(150px);
}

#shape:hover.cube>.four,
.autoLoad>.four {
  opacity: 0.9;
  -webkit-transform: scale3d(1.5, 1.5, 1.5) rotateY(180deg) translateZ(150px);
}

#shape:hover.cube>.five,
.autoLoad>.five {
  opacity: 0.9;
  -webkit-transform: scale3d(1.5, 1.5, 1.5) rotateY(-90deg) translateZ(150px);
}

#shape:hover.cube>.six,
.autoLoad>.six {
  opacity: 0.9;
  -webkit-transform: scale3d(1.5, 1.5, 1.5) rotateX(-90deg) translateZ(130px) rotate(180deg);
}

.cube>.seven,
.autoLoad>.seven {
  -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateX(90deg) translateZ(100px) rotate(180deg);
}

.cube>.eight,
.autoLoad>.eight {
  -webkit-transform: scale3d(0.8, 0.8, 0.8) translateZ(100px);
}

.cube>.nine,
.autoLoad>.nine {
  -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(90deg) translateZ(100px);
}

.cube>.ten,
.autoLoad>.ten {
  -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(180deg) translateZ(100px);
}

.cube>.eleven,
.autoLoad>.eleven {
  -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateY(-90deg) translateZ(100px);
}

.cube>.twelve,
.autoLoad>.twelve {
  -webkit-transform: scale3d(0.8, 0.8, 0.8) rotateX(-90deg) translateZ(100px);
}

.ring>.one {
  -webkit-transform: translateZ(380px);
}

.ring>.two {
  -webkit-transform: rotateY(30deg) translateZ(380px);
}

.ring>.three {
  -webkit-transform: rotateY(60deg) translateZ(380px);
}

.ring>.four {
  -webkit-transform: rotateY(90deg) translateZ(380px);
}

.ring>.five {
  -webkit-transform: rotateY(120deg) translateZ(380px);
}

.ring>.six {
  -webkit-transform: rotateY(150deg) translateZ(380px);
}

.ring>.seven {
  -webkit-transform: rotateY(180deg) translateZ(380px);
}

.ring>.eight {
  -webkit-transform: rotateY(210deg) translateZ(380px);
}

.ring>.nine {
  -webkit-transform: rotateY(-120deg) translateZ(380px);
}

.ring>.ten {
  -webkit-transform: rotateY(-90deg) translateZ(380px);
}

.ring>.eleven {
  -webkit-transform: rotateY(300deg) translateZ(380px);
}

.ring>.twelve {
  -webkit-transform: rotateY(330deg) translateZ(380px);
}

.panel {
  margin: 5px 10px;
  padding: 10px 5px;
}

.audio {
  /* float: left; */
  height: 30px;
  width: 300px;
  left: 15px;
  top: 15px;
  position: absolute;
  z-index: 1;
}

.author {
  /* float: right; */
  height: 30px;
  right: 15px;
  top: 15px;
  position: absolute;
  z-index: 2;
}

.author button {
  background-color: #f5f5f5;
  height: 28px;
  padding-left: 10px;
  padding-right: 10px;
  vertical-align: middle;
  -webkit-border-radius: 15px;
  -webkit-box-sizing: border-box;
  border: 1px solid #fff;
}

.author button:hover {
  background-color: #0088ff;
  color: #fff;
  border-color: #005599;
  cursor: pointer;
}

.clear {
  clear: both;
  margin: 0;
  padding: 0;
}
